# Scheduled Messages

* Get Scheduled Message [#get-scheduled-scheduledmessageid](#get-scheduled-scheduledmessageid "mention")
* Update Scheduled Message [#patch-scheduled-scheduledmessageid](#patch-scheduled-scheduledmessageid "mention")
* Delete Scheduled Message [#post-scheduled-scheduledmessageid](#post-scheduled-scheduledmessageid "mention")
* List Scheduled Messages [#get-scheduled](#get-scheduled "mention")

### Scheduled Messages Management

* Get Message Schedule Calendar [#get-scheduled-calendar-year-month](#get-scheduled-calendar-year-month "mention")
* Get Scheduled Message Recipients [#get-scheduled-scheduledmessageid-recipients](#get-scheduled-scheduledmessageid-recipients "mention")
* Delete Scheduled Messages for Number [#delete-scheduled-number-number](#delete-scheduled-number-number "mention")

## GET /scheduled/{scheduledMessageId}

> Get Scheduled Message

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"GetScheduledMessage.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/IPublicScheduledMessage"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicScheduledMessage":{"type":"object","properties":{"id":{"type":"number"},"accountId":{"type":"number"},"numberIds":{"type":"array","items":{"type":"string","nullable":true}},"subscriberIds":{"type":"array","items":{"type":"number","nullable":true}},"groupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"allSubscribers":{"type":"number"},"message":{"type":"string"},"url":{"type":"string","nullable":true},"scheduledDate":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timestamp":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"repeatMessage":{"type":"number"},"repeatDays":{"type":"array","items":{"type":"number","nullable":true}},"repeatMonthType":{"type":"string","nullable":true},"excludedGroupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"header":{"type":"string"},"footer":{"type":"string"},"threadId":{"type":"number"},"filterClicks":{"type":"number"},"properties":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}},"recipients":{"type":"string"},"isMMS":{"type":"boolean"},"longcodeId":{"type":"number","nullable":true},"longcode":{"type":"number"},"userId":{"type":"number","nullable":true},"userDescription":{"type":"string"},"customRepeatFrequencyType":{"type":"number","nullable":true},"customRepeatFrequency":{"type":"number","nullable":true},"customRepeatDays":{"type":"array","items":{"type":"number","nullable":true}},"customEndMessageType":{"type":"number","nullable":true},"customEndMessageDate":{"type":"string","nullable":true},"customEndMessageOccurrences":{"type":"number","nullable":true}},"required":["id","accountId","numberIds","groupIds","allSubscribers","message","scheduledDate","timestamp","repeatMessage","header","footer","threadId","filterClicks","isMMS"]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled/{scheduledMessageId}":{"get":{"tags":["Scheduled Messages"],"summary":"Get Scheduled Message","operationId":"scheduled_messages_get_scheduled_message","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetScheduledMessage.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"scheduledMessageId","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```

## PATCH /scheduled/{scheduledMessageId}

> Update Scheduled Message

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"UpdateScheduledMessage.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/IPublicScheduledMessage"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicScheduledMessage":{"type":"object","properties":{"id":{"type":"number"},"accountId":{"type":"number"},"numberIds":{"type":"array","items":{"type":"string","nullable":true}},"subscriberIds":{"type":"array","items":{"type":"number","nullable":true}},"groupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"allSubscribers":{"type":"number"},"message":{"type":"string"},"url":{"type":"string","nullable":true},"scheduledDate":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timestamp":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"repeatMessage":{"type":"number"},"repeatDays":{"type":"array","items":{"type":"number","nullable":true}},"repeatMonthType":{"type":"string","nullable":true},"excludedGroupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"header":{"type":"string"},"footer":{"type":"string"},"threadId":{"type":"number"},"filterClicks":{"type":"number"},"properties":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}},"recipients":{"type":"string"},"isMMS":{"type":"boolean"},"longcodeId":{"type":"number","nullable":true},"longcode":{"type":"number"},"userId":{"type":"number","nullable":true},"userDescription":{"type":"string"},"customRepeatFrequencyType":{"type":"number","nullable":true},"customRepeatFrequency":{"type":"number","nullable":true},"customRepeatDays":{"type":"array","items":{"type":"number","nullable":true}},"customEndMessageType":{"type":"number","nullable":true},"customEndMessageDate":{"type":"string","nullable":true},"customEndMessageOccurrences":{"type":"number","nullable":true}},"required":["id","accountId","numberIds","groupIds","allSubscribers","message","scheduledDate","timestamp","repeatMessage","header","footer","threadId","filterClicks","isMMS"]},"UpdateScheduledMessage.Request":{"$ref":"#/components/schemas/Partial-IScheduledMessageRequest"},"Partial-IScheduledMessageRequest":{"type":"object","properties":{"message":{"type":"string"},"numberIds":{"type":"array","items":{"type":"number"}},"groupIds":{"type":"array","items":{"type":"number"}},"allSubscribers":{"type":"boolean"},"scheduledDate":{"type":"string"},"image":{"type":"string","nullable":true},"repeatMessage":{"type":"number"},"repeatDays":{"type":"array","items":{"type":"number","nullable":true}},"repeatMonthType":{"type":"string","nullable":true},"excludedGroupIds":{"type":"array","items":{"type":"number"}},"header":{"type":"string"},"footer":{"type":"string"},"isMMS":{"type":"boolean"},"repeat":{"$ref":"#/components/schemas/IMessageRepeat"},"templateId":{"type":"number"},"longcodeId":{"type":"number"},"customRepeatFrequencyType":{"type":"number","nullable":true},"customRepeatFrequency":{"type":"number","nullable":true},"customRepeatDays":{"type":"array","items":{"type":"number","nullable":true}},"customEndMessageType":{"type":"number","nullable":true},"customEndMessageDate":{"type":"string","nullable":true},"customEndMessageOccurrences":{"type":"number","nullable":true}}},"IMessageRepeat":{"allOf":[{"type":"object","properties":{"monday":{"type":"boolean"},"tuesday":{"type":"boolean"},"wednesday":{"type":"boolean"},"thursday":{"type":"boolean"},"friday":{"type":"boolean"},"saturday":{"type":"boolean"},"sunday":{"type":"boolean"},"type":{"$ref":"#/components/schemas/RepeatMonthType"},"frequency":{"$ref":"#/components/schemas/RepeatFrequency"}},"required":["monday","tuesday","wednesday","thursday","friday","saturday","sunday","type","frequency"]},{"type":"object","additionalProperties":{}}]},"RepeatMonthType":{"type":"string","enum":["week","month"]},"RepeatFrequency":{"format":"int32","type":"number","enum":[-1,1,2,3,4,5]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled/{scheduledMessageId}":{"patch":{"tags":["Scheduled Messages"],"summary":"Update Scheduled Message","operationId":"scheduled_messages_update_scheduled_message","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateScheduledMessage.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateScheduledMessage.Request"}}},"required":true},"parameters":[{"name":"scheduledMessageId","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```

## POST /scheduled/{scheduledMessageId}

> Delete Scheduled Message

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"DeleteScheduledMessage.Response":{"$ref":"#/components/schemas/IApiResponse"},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"DeleteScheduledMessage.Request":{"type":"object","properties":{"isMMS":{"type":"boolean"},"skippedAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]}},"required":[]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled/{scheduledMessageId}":{"post":{"tags":["Scheduled Messages"],"summary":"Delete Scheduled Message","operationId":"scheduled_messages_delete_scheduled_message","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteScheduledMessage.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteScheduledMessage.Request"}}},"required":true},"parameters":[{"name":"scheduledMessageId","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```

## GET /scheduled

> List Scheduled Messages

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"ListScheduledMessages.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponsePaginated"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{"$ref":"#/components/schemas/IPublicScheduledMessage"}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"]}},"required":["data"]}]},"IApiResponsePaginated":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"],"description":"PaginationData"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicScheduledMessage":{"type":"object","properties":{"id":{"type":"number"},"accountId":{"type":"number"},"numberIds":{"type":"array","items":{"type":"string","nullable":true}},"subscriberIds":{"type":"array","items":{"type":"number","nullable":true}},"groupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"allSubscribers":{"type":"number"},"message":{"type":"string"},"url":{"type":"string","nullable":true},"scheduledDate":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timestamp":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"repeatMessage":{"type":"number"},"repeatDays":{"type":"array","items":{"type":"number","nullable":true}},"repeatMonthType":{"type":"string","nullable":true},"excludedGroupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"header":{"type":"string"},"footer":{"type":"string"},"threadId":{"type":"number"},"filterClicks":{"type":"number"},"properties":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}},"recipients":{"type":"string"},"isMMS":{"type":"boolean"},"longcodeId":{"type":"number","nullable":true},"longcode":{"type":"number"},"userId":{"type":"number","nullable":true},"userDescription":{"type":"string"},"customRepeatFrequencyType":{"type":"number","nullable":true},"customRepeatFrequency":{"type":"number","nullable":true},"customRepeatDays":{"type":"array","items":{"type":"number","nullable":true}},"customEndMessageType":{"type":"number","nullable":true},"customEndMessageDate":{"type":"string","nullable":true},"customEndMessageOccurrences":{"type":"number","nullable":true}},"required":["id","accountId","numberIds","groupIds","allSubscribers","message","scheduledDate","timestamp","repeatMessage","header","footer","threadId","filterClicks","isMMS"]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled":{"get":{"tags":["Scheduled Messages"],"summary":"List Scheduled Messages","operationId":"scheduled_messages_list_scheduled_messages","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListScheduledMessages.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"number"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number"}},{"name":"sortBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortDirection","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc","ASC","DESC"]}},{"name":"order","in":"query","required":false,"schema":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"string","enum":["asc","desc","ASC","DESC"]}]},"minItems":2,"maxItems":2,"description":"The first item in the array must be the first item type and the second must be the second item type."}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"}},"required":[]}}]}}}}
```

## GET /scheduled/calendar/{year}/{month}

> Get Scheduled Message Calendar

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"GetScheduledMessageCalendar.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"day":{"type":"string"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/IPublicScheduledMessage"}}},"required":["day","messages"],"description":"GetScheduledMessageCalendar.Entry"}}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicScheduledMessage":{"type":"object","properties":{"id":{"type":"number"},"accountId":{"type":"number"},"numberIds":{"type":"array","items":{"type":"string","nullable":true}},"subscriberIds":{"type":"array","items":{"type":"number","nullable":true}},"groupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"allSubscribers":{"type":"number"},"message":{"type":"string"},"url":{"type":"string","nullable":true},"scheduledDate":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timestamp":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"repeatMessage":{"type":"number"},"repeatDays":{"type":"array","items":{"type":"number","nullable":true}},"repeatMonthType":{"type":"string","nullable":true},"excludedGroupIds":{"oneOf":[{"type":"array","items":{"type":"string"}},{"type":"string"}]},"header":{"type":"string"},"footer":{"type":"string"},"threadId":{"type":"number"},"filterClicks":{"type":"number"},"properties":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}},"recipients":{"type":"string"},"isMMS":{"type":"boolean"},"longcodeId":{"type":"number","nullable":true},"longcode":{"type":"number"},"userId":{"type":"number","nullable":true},"userDescription":{"type":"string"},"customRepeatFrequencyType":{"type":"number","nullable":true},"customRepeatFrequency":{"type":"number","nullable":true},"customRepeatDays":{"type":"array","items":{"type":"number","nullable":true}},"customEndMessageType":{"type":"number","nullable":true},"customEndMessageDate":{"type":"string","nullable":true},"customEndMessageOccurrences":{"type":"number","nullable":true}},"required":["id","accountId","numberIds","groupIds","allSubscribers","message","scheduledDate","timestamp","repeatMessage","header","footer","threadId","filterClicks","isMMS"]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled/calendar/{year}/{month}":{"get":{"tags":["Scheduled Messages"],"summary":"Get Scheduled Message Calendar","operationId":"scheduled_messages_get_scheduled_message_calendar","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetScheduledMessageCalendar.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"object","properties":{"repeating":{"type":"string"}},"required":[]}},{"name":"year","in":"path","required":true,"schema":{"type":"string"}},{"name":"month","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```

## GET /scheduled/{scheduledMessageId}/recipients

> Get Scheduled Message Recipients

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"GetScheduledMessageRecipients.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponsePaginated"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"firstName":{"type":"string"},"lastName":{"type":"string"},"number":{"oneOf":[{"type":"string"},{"type":"number"}]},"email":{"type":"string"},"groupName":{"type":"string"},"memberCount":{"type":"number"}},"required":["id"],"description":"GetScheduledMessageRecipients.IScheduledMessageRecipients"}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"]}},"required":["data"]}]},"IApiResponsePaginated":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"],"description":"PaginationData"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled/{scheduledMessageId}/recipients":{"get":{"tags":["Scheduled Messages"],"summary":"Get Scheduled Message Recipients","operationId":"scheduled_messages_get_scheduled_message_recipients","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetScheduledMessageRecipients.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"scheduledMessageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"number"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number"}},{"name":"sortBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortDirection","in":"query","required":false,"schema":{"type":"string","enum":["asc","desc","ASC","DESC"]}},{"name":"order","in":"query","required":false,"schema":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"string","enum":["asc","desc","ASC","DESC"]}]},"minItems":2,"maxItems":2,"description":"The first item in the array must be the first item type and the second must be the second item type."}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}}]}}}}
```

## DELETE /scheduled/number/{number}

> Delete Scheduled Messages for Number

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"DeleteScheduledMessagesForNumber.Response":{"$ref":"#/components/schemas/IApiResponse"},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/scheduled/number/{number}":{"delete":{"tags":["Scheduled Messages"],"summary":"Delete Scheduled Messages for Number","operationId":"scheduled_messages_delete_scheduled_messages_for_number","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteScheduledMessagesForNumber.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"number","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobile-text-alerts.com/api-reference/scheduled-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
